# Class: Haml::Filters::Markdown

Inherits:
  TiltBase
  - Object
  - Base
  - TiltBase
  - Haml::Filters::Markdown
  show all

Defined in:
  lib/haml/filters/markdown.rb

## Instance Method Summary collapse

- #compile(node)

### Methods inherited from TiltBase

#explicit_require?, render

### Methods inherited from Base

#initialize

## Constructor Details

This class inherits a constructor from Haml::Filters::Base

## Instance Method Details

### #compile(node)

    5
    6
    7
    8

    # File 'lib/haml/filters/markdown.rb', line 5

    def compile(node)
      require 'tilt/redcarpet' if explicit_require?('markdown')
      compile_with_tilt(node, 'markdown')
    end